OpenTTD Source: SlCompanyOldEconomy Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions
SlCompanyOldEconomy Class Reference
Inheritance diagram for SlCompanyOldEconomy:

## Public Member Functions
void | Save (CompanyProperties *c) const override
void | Load (CompanyProperties *c) const override
void | LoadCheck (CompanyProperties *c) const override
Public Member Functions inherited from SlCompanyEconomy
void | FixPointers (CompanyProperties *c) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlCompanyEconomy, CompanyProperties >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description
Static Public Attributes inherited from SlCompanyEconomy
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _company_economy_compat

## Detailed Description

Definition at line 355 of file company_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlCompanyOldEconomy::Load | ( | CompanyProperties * | c | ) | const
| inlineoverridevirtual

Reimplemented from SlCompanyEconomy.

Definition at line 365 of file company_sl.cpp.

## ◆ LoadCheck()

void SlCompanyOldEconomy::LoadCheck | ( | CompanyProperties * | c | ) | const
| inlineoverridevirtual

Reimplemented from SlCompanyEconomy.

Definition at line 377 of file company_sl.cpp.

## ◆ Save()

void SlCompanyOldEconomy::Save | ( | CompanyProperties * | c | ) | const
| inlineoverridevirtual

Reimplemented from SlCompanyEconomy.

Definition at line 357 of file company_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/company_sl.cpp